Subject: Re: [PATCH] 2.6.18-rt7: fix more issues with 32-bit cycles_tin latency_trace.c (take 3)

From: Roman Zippel <[email-masked]>
Date: Mon, 4 Dec 2006 22:56:50 +0100

Hi,

On Monday 04 December 2006 16:39, Ingo Molnar wrote:

> there's *always* a way to do such things more cleanly - such as the
> patch below. Could you try to fix it up for 32-bit cycles_t platforms? I
> bet the hackery will be limited to now() and maybe the conversion
> routines, instead of spreading all around latency_trace.c.

While I'm not against this patch, but on m68k I prefer a 32bit cycle type 
(however it's called), so it doesn't solve the original problem.

bye, Roman